MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025244Open CASCADE[OCCT] OCCT:Configurationpublic2014-09-16 16:572014-11-12 09:52
Reporteribs 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025244: CMake building procedure should support VTK usage
DescriptionCMake building procedure should support VTK usage. There is the need add USE_VTK user's variable in cmake configuration process.
TagsNo tags attached.
Test case numberv3d ivtk
Attached Files

- Relationships
related to 0024888closedbugmaster Refactoring of OCCT CMake meta-project 

-  Notes
(0031780)
git (administrator)
2014-09-16 17:28

Branch CR25244 has been created by ibs.

SHA-1: 8b6f4d234ce595b27f6189988eac8578c9de44db


Detailed log of new commits:

Author: ibs
Date: Tue Apr 29 16:42:21 2014 +0400

    0025244: CMake building procedure should support VTK usage
    
    USE_VTK cmake variable added; draft vtk search algorithm added
(0031781)
ibs (developer)
2014-09-16 17:34

dear apn, have a look at draft patch in CR25244 occt branch. VTK search algorithm is required to be tested (and updated if necessary). Do not hesitate to contact ibs (me) and aba (he developed vtk support by wok)
(0033243)
abv (manager)
2014-10-17 08:52

Please update on the status of this issue
(0033351)
git (administrator)
2014-10-20 19:17

Branch CR25244_1 has been created by apn.

SHA-1: d92264f7b4f3b70c90c7b3d7c37deee87b9e9ec5


Detailed log of new commits:

Author: apn
Date: Mon Oct 20 19:00:41 2014 +0400

    0025244: CMake building procedure should support VTK usage
    
    Added functionality for searching VTK products.
(0033382)
git (administrator)
2014-10-21 15:06

Branch CR25244_1 has been updated by apn.

SHA-1: f7c844be8ba0e8aa90e62068e875828ba764eb40


Detailed log of new commits:

Author: apn
Date: Tue Oct 21 15:06:33 2014 +0400

    Added procedure install for VTK.

(0033384)
apn (administrator)
2014-10-21 15:09

Dear ibs,

Branch CR25244_1 was successfully compiled with CMake on Windows vc10 and Debian60-64 (with USE_VTK).

testgrid v3d ivtk - OK
http://occt-tests/CR25244_1_2014-10-21T1504/summary.html [^]

Please, review.
(0033559)
ibs (developer)
2014-10-22 14:46

apn, the branch has been reviewed without any remark
(0034298)
git (administrator)
2014-11-12 09:52

Branch CR25244 has been deleted by inv.

SHA-1: 8b6f4d234ce595b27f6189988eac8578c9de44db
(0034299)
git (administrator)
2014-11-12 09:52

Branch CR25244_1 has been deleted by inv.

SHA-1: f7c844be8ba0e8aa90e62068e875828ba764eb40

- Related Changesets
occt: master 09c597c9
Timestamp: 2014-10-23 11:19:51
Author: apn
Committer: bugmaster
Details ] Diff ]
0025244: CMake building procedure should support VTK usage

Added functionality for searching VTK products.

Added procedure install for VTK.
mod - adm/templates/custom.bat.in Diff ] File ]
mod - adm/templates/custom.sh.in Diff ] File ]
mod - adm/templates/env.bat.in Diff ] File ]
mod - adm/templates/env.sh.in Diff ] File ]
mod - adm/templates/tcl.cmake Diff ] File ]
add - adm/templates/vtk.cmake Diff ] File ]
mod - CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-09-16 16:57 ibs New Issue
2014-09-16 16:57 ibs Assigned To => ibs
2014-09-16 16:57 ibs Relationship added related to 0024888
2014-09-16 17:28 git Note Added: 0031780
2014-09-16 17:34 ibs Note Added: 0031781
2014-09-16 17:34 ibs Assigned To ibs => apn
2014-09-16 17:34 ibs Status new => assigned
2014-10-17 08:52 abv Note Added: 0033243
2014-10-20 14:05 apn Assigned To apn => ski
2014-10-20 19:17 git Note Added: 0033351
2014-10-21 15:06 git Note Added: 0033382
2014-10-21 15:09 apn Note Added: 0033384
2014-10-21 15:10 apn Test case number => v3d ivtk
2014-10-21 15:10 apn Assigned To ski => ibs
2014-10-21 15:10 apn Status assigned => resolved
2014-10-22 14:46 ibs Note Added: 0033559
2014-10-22 14:46 ibs Assigned To ibs => bugmaster
2014-10-22 14:46 ibs Status resolved => reviewed
2014-10-23 15:18 bugmaster Status reviewed => tested
2014-10-24 15:38 bugmaster Changeset attached => occt master 09c597c9
2014-10-24 15:38 bugmaster Status tested => verified
2014-10-24 15:38 bugmaster Resolution open => fixed
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:02 aiv Status verified => closed
2014-11-12 09:52 git Note Added: 0034298
2014-11-12 09:52 git Note Added: 0034299


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker